# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Mojolicious.pm) perl(Sub/Util.pm) perl(Test/More.pm) perl(base.pm) perl(lib.pm)
# END SourceDeps(oneline)
%define module_version 0.003
%define module_name Mojo-Base-Lib
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: use Mojo::Base::Lib 'SomeBaseClass',-lib, qw(rel/path/lib /abs/path/lib);
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MC/MCHE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Based on the Mojo::Base manpage where you found three forms usage.

This module provide a fourth extended form for add extra lib directories to perl's search path. See <lib>

  use Mojo::Base -lib, qw(rel/path/lib /abs/path/lib);
  use Mojo::Base -lib, ['lib1', 'lib2'];
  use Mojo::Base '-lib:lib1:lib2;lib3';
  use Mojo::Base -strict, qw(-lib lib1 lib2);
  use Mojo::Base qw(-base -lib lib1 lib2);
  use Mojo::Base 'SomeBaseClass', qw(-lib lib1 lib2);
  use Mojo::Base qw(-lib lib1 lib2), 'SomeBaseClass'; # same above, different order allow

For relative lib path will use the FindBin manpage module and `$FindBin::Bin' is prepends to that lib.
Libs always applied first even its last on flags list.

All three the Mojo::Base manpage forms works also.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%changelog
* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- initial import by package builder

